<?php
namespace Claromentis\Console\Output;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_2b879ee7476ab710ec475ba39e3f" . "e902" => base64_decode("aXNfYQ=" . "="), "_fc9d7314a9d99" . "58d8fa0a403ba8" . "ff197" => base64_decode("Z2V0X" . "2NsYX" . "Nz"), "_e41dd208b3f8688e037c1" . "f57903a2af3" => base64_decode("T3V0cHV0IGludGVyZmFj" . "ZSAn"), "_b2c18fea2fd27be5fa" . "ced70fc93730a8" => base64_decode("JyBkb2VzIG5vdCBpbXBs" . "ZW1lbnQg"), "_db6f0ba0791e9a6" . "35407659a9fe04e4" . "0" => base64_decode("aXNfb2JqZWN" . "0"));
use Symfony\Component\Console\Formatter\OutputFormatter;
use Symfony\Component\Console\Formatter\OutputFormatterInterface;
use Symfony\Component\Console\Output\OutputInterface;




class MultiplexedOutput implements OutputInterface
{
    
    
    
    
    protected $verbosity = self::VERBOSITY_NORMAL;
    
    
    
    
    protected $formatter = null;
    
    
    
    
    protected $interfaces = [];
    
    
    
    
    
    
    
    
    
    public function __construct(array $_3afbfd6216bfbb1e35b97511f18c8397, $_e84eb3b6c91429c62da5eddaef93bb19 = self::VERBOSITY_NORMAL, $_4de82f87bac18df795ec4161918650aa = null, OutputFormatterInterface $_a83a2289b24ef3674668e88bc61b3ab3 = null)
    {
        $this->verbosity = $_e84eb3b6c91429c62da5eddaef93bb19;
        $this->formatter = $_a83a2289b24ef3674668e88bc61b3ab3;
        if ($this->formatter === null) {
            $this->formatter = new OutputFormatter($_4de82f87bac18df795ec4161918650aa);
        }
        foreach ($_3afbfd6216bfbb1e35b97511f18c8397 as $_5b08afc6598666e83143bd42ce733d9c) {
            if (!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_db6f0ba0791e9a63540765" . "9a9fe04e40"]($_5b08afc6598666e83143bd42ce733d9c)) {
                continue;
            }
            if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2b879ee7476ab710ec4" . "75ba39e3fe902"]($_5b08afc6598666e83143bd42ce733d9c, OutputInterface::class)) {
                $_6b33cbff9a72786d9d5e3d7fc9322a40 = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_fc9d7314a9d9958d8fa0a403b" . "a8ff197"]($_5b08afc6598666e83143bd42ce733d9c);
                throw new \InvalidArgumentException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e41dd208b3f8688e037c1f" . "57903a2af3"] . $_6b33cbff9a72786d9d5e3d7fc9322a40 . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_b2c18fea2fd27be5f" . "aced70fc93730a8"] . OutputInterface::class);
            }
            $this->interfaces[] = $_5b08afc6598666e83143bd42ce733d9c;
        }
    }
    
    
    
    
    
    
    public function getInterfaces()
    {
        return $this->interfaces;
    }
    
    
    
    
    
    
    
    
    public function write($_fab5a2188c706d282c3aea92f0ccbd01, $_b37ac8a628a4f0ebbe09819dd2a00dea = false, $_61fbb5071d97b5eb5a2d82e386e63d7b = 0)
    {
        foreach ($this->interfaces as $_5b08afc6598666e83143bd42ce733d9c) {
            $_5b08afc6598666e83143bd42ce733d9c->write($_fab5a2188c706d282c3aea92f0ccbd01, $_b37ac8a628a4f0ebbe09819dd2a00dea, $_61fbb5071d97b5eb5a2d82e386e63d7b);
        }
    }
    
    
    
    
    
    
    
    public function writeln($_fab5a2188c706d282c3aea92f0ccbd01, $_61fbb5071d97b5eb5a2d82e386e63d7b = 0)
    {
        foreach ($this->interfaces as $_5b08afc6598666e83143bd42ce733d9c) {
            $_5b08afc6598666e83143bd42ce733d9c->writeln($_fab5a2188c706d282c3aea92f0ccbd01, $_61fbb5071d97b5eb5a2d82e386e63d7b);
        }
    }
    
    
    
    
    
    
    public function setVerbosity($_8571ac32155d45081f21fab1bc366aff)
    {
        $this->verbosity = $_8571ac32155d45081f21fab1bc366aff;
        foreach ($this->interfaces as $_5b08afc6598666e83143bd42ce733d9c) {
            $_5b08afc6598666e83143bd42ce733d9c->setVerbosity($_8571ac32155d45081f21fab1bc366aff);
        }
    }
    
    
    
    
    
    
    public function getVerbosity()
    {
        return $this->verbosity;
    }
    
    
    
    
    
    
    public function isQuiet()
    {
        return $this->verbosity === OutputInterface::VERBOSITY_QUIET;
    }
    
    
    
    
    
    
    public function isVerbose()
    {
        return $this->verbosity === OutputInterface::VERBOSITY_VERBOSE;
    }
    
    
    
    
    
    
    public function isVeryVerbose()
    {
        return $this->verbosity === OutputInterface::VERBOSITY_VERY_VERBOSE;
    }
    
    
    
    
    
    
    public function isDebug()
    {
        return $this->verbosity === OutputInterface::VERBOSITY_DEBUG;
    }
    
    
    
    
    
    
    public function setDecorated($_4de82f87bac18df795ec4161918650aa)
    {
        $this->formatter->setDecorated($_4de82f87bac18df795ec4161918650aa);
        foreach ($this->interfaces as $_5b08afc6598666e83143bd42ce733d9c) {
            $_5b08afc6598666e83143bd42ce733d9c->getFormatter()->setDecorated($_4de82f87bac18df795ec4161918650aa);
        }
    }
    
    
    
    
    
    
    public function isDecorated()
    {
        return $this->formatter->isDecorated();
    }
    
    
    
    
    
    
    public function setFormatter(OutputFormatterInterface $_a83a2289b24ef3674668e88bc61b3ab3)
    {
        $this->formatter = $_a83a2289b24ef3674668e88bc61b3ab3;
        foreach ($this->interfaces as $_5b08afc6598666e83143bd42ce733d9c) {
            $_5b08afc6598666e83143bd42ce733d9c->setFormatter($_a83a2289b24ef3674668e88bc61b3ab3);
        }
    }
    
    
    
    
    
    
    public function getFormatter()
    {
        return $this->formatter;
    }
}